> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Applicant: MRI

PUT https://api.propexo.com/v1/applicants/mri/{applicant_id}
Content-Type: application/json

Update Applicant: MRI

| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_GuestCardsBySiteID |

Reference: https://docs.propexo.com/api-reference/mri/applicants/update-applicant-mri

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `applicant_id` (string, required) — The Propexo unique identifier for the applicant

### Body (application/json)

This endpoint expects a _v1_applicants_mri_{applicant_id}_put_input.

- `address_type_id` (string, optional) — The Propexo unique identifier for the address type. This is required when updating the address
- `first_name` (string, optional) — The first name associated with the applicant
- `last_name` (string, optional) — The last name associated with the applicant
- `email_1` (string, optional) — The primary email address associated with the applicant
- `address_1` (string, optional) — The first address line associated with the applicant
- `address_2` (string, optional) — The second address line associated with the applicant
- `city` (string, optional) — The city associated with the applicant
- `state` (enum, optional) — The state associated with the applicant
  - Allowed values: `AA`, `AE`, `AK`, `AL`, `AP`, `AR`, `AS`, `AZ`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `IA`, `ID`, `IN`, `KS`, `KY`, `LA`, `MA`, `MD`, `ME`, `MH`, `MI`, `MN`, `MO`, `MP`, `MS`, `MT`, `NC`, `NE`, `NL`, `NJ`, `NM`, `NV`, `NY`, `OH`, `OK`, `OR`, `PA`, `PR`, `SD`, `TN`, `TX`, `UT`, `VA`, `VI`, `VT`, `WA`, `WI`, `WV`, `WY`
- `zip` (string, optional) — The zip code associated with the applicant
- `target_move_in_date` (V1ApplicantsMriApplicantIdPutInputTargetMoveInDate, optional) — The target move in date for the applicant
- `desired_num_bedrooms` (double, optional) — The desired number of bedrooms
- `desired_num_bathrooms` (string, optional) — The desired number of bathrooms
- `desired_lease_term_in_months` (double, optional) — The desired lease term in months of the applicant
- `number_of_occupants` (double, optional) — The number of occupants for the applicant
- `notes` (string, optional) — Notes associated with the applicant
- `phone_1` (string, optional) — Primary phone number associated with the applicant
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the applicant
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `applicant_status` (enum, optional) — The status of the applicant. This is optional and defaults to ACTIVE.
  - Allowed values: `APPLICANT`, `CO_APPLICANT`, `OCCUPANT`

## Response

### 200

Successful response

- `meta` (V1ApplicantsMriApplicantIdPutOutputMeta, required)
- `result` (V1ApplicantsMriApplicantIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ApplicantsMriApplicantIdPutInputTargetMoveInDate

The target move in date for the applicant

### V1ApplicantsMriApplicantIdPutOutputMeta

- `job_id` (string, required)

### V1ApplicantsMriApplicantIdPutOutputResult

- `applicant_id` (string, required) — The Propexo unique identifier for the applicant
- `address_type_id` (string, optional) — The Propexo unique identifier for the address type. This is required when updating the address
- `first_name` (string, optional) — The first name associated with the applicant
- `last_name` (string, optional) — The last name associated with the applicant
- `email_1` (string, optional) — The primary email address associated with the applicant
- `address_1` (string, optional) — The first address line associated with the applicant
- `address_2` (string, optional) — The second address line associated with the applicant
- `city` (string, optional) — The city associated with the applicant
- `state` (enum, optional) — The state associated with the applicant
  - Allowed values: `AA`, `AE`, `AK`, `AL`, `AP`, `AR`, `AS`, `AZ`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `IA`, `ID`, `IN`, `KS`, `KY`, `LA`, `MA`, `MD`, `ME`, `MH`, `MI`, `MN`, `MO`, `MP`, `MS`, `MT`, `NC`, `NE`, `NL`, `NJ`, `NM`, `NV`, `NY`, `OH`, `OK`, `OR`, `PA`, `PR`, `SD`, `TN`, `TX`, `UT`, `VA`, `VI`, `VT`, `WA`, `WI`, `WV`, `WY`
- `zip` (string, optional) — The zip code associated with the applicant
- `target_move_in_date` (V1ApplicantsMriApplicantIdPutOutputResultTargetMoveInDate, optional) — The target move in date for the applicant
- `desired_num_bedrooms` (double, optional) — The desired number of bedrooms
- `desired_num_bathrooms` (string, optional) — The desired number of bathrooms
- `desired_lease_term_in_months` (double, optional) — The desired lease term in months of the applicant
- `number_of_occupants` (double, optional) — The number of occupants for the applicant
- `notes` (string, optional) — Notes associated with the applicant
- `phone_1` (string, optional) — Primary phone number associated with the applicant
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the applicant
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `applicant_status` (enum, optional) — The status of the applicant. This is optional and defaults to ACTIVE.
  - Allowed values: `APPLICANT`, `CO_APPLICANT`, `OCCUPANT`

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1ApplicantsMriApplicantIdPutOutputResultTargetMoveInDate

The target move in date for the applicant

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-7890abc123"
  },
  "result": {
    "applicant_id": "applicant-456def789",
    "address_type_id": "addrtype-123xyz456",
    "first_name": "Emily",
    "last_name": "Johnson",
    "email_1": "emily.johnson@example.com",
    "address_1": "123 Maple Street",
    "address_2": "Apt 4B",
    "city": "Springfield",
    "state": "CA",
    "zip": "90210",
    "target_move_in_date": "2024-01-15T09:30:00Z",
    "desired_num_bedrooms": 2,
    "desired_num_bathrooms": "1.5",
    "desired_lease_term_in_months": 12,
    "number_of_occupants": 3,
    "notes": "Prefers quiet neighborhood",
    "phone_1": "555-123-4567",
    "phone_1_type": "MOBILE",
    "phone_2": "555-987-6543",
    "phone_2_type": "WORK",
    "applicant_status": "APPLICANT"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/applicants/mri/applicant_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/applicants/mri/applicant_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/applicants/mri/applicant_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/applicants/mri/applicant_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/applicants/mri/applicant_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/applicants/mri/applicant_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/applicants/mri/applicant_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/applicants/mri/applicant_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```